ALTER TABLE accesslog  ADD COLUMN skid SMALLINT UNSIGNED DEFAULT 0 NOT NULL;
ALTER TABLE accesslog ADD INDEX op_part (op(12), skid);
ALTER TABLE accesslog_admin  ADD COLUMN skid SMALLINT UNSIGNED DEFAULT 0 NOT NULL;
ALTER TABLE blocks  ADD COLUMN type ENUM('static','portald') DEFAULT 'static' NOT NULL;
ALTER TABLE blocks  ADD COLUMN skin varchar(30) NOT NULL;
ALTER TABLE blocks  ADD COLUMN autosubmit ENUM('no','yes') DEFAULT 'no' NOT NULL;
ALTER TABLE blocks  ADD COLUMN all_skins tinyint NOT NULL DEFAULT '0';
ALTER TABLE blocks ADD KEY skin (skin);
ALTER TABLE discussions ADD COLUMN stoid mediumint UNSIGNED DEFAULT '0' NOT NULL;
ALTER TABLE discussions  ADD COLUMN primaryskid SMALLINT UNSIGNED;
ALTER TABLE discussions ADD KEY (stoid);
ALTER TABLE discussions ADD KEY (primaryskid,ts);
DROP TABLE sections ;
DROP TABLE sections_contained ;
DROP TABLE section_extras ;
DROP TABLE section_subsections ;
DROP TABLE section_topics ;
DROP TABLE soap_methods ;
DROP TABLE subsections ;
CREATE TABLE skins (
	skid SMALLINT UNSIGNED NOT NULL DEFAULT 0 AUTO_INCREMENT,
	nexus SMALLINT UNSIGNED NOT NULL,
	min_weight FLOAT UNSIGNED DEFAULT 1 NOT NULL,
	artcount_min MEDIUMINT UNSIGNED DEFAULT '10' NOT NULL,
	artcount_max MEDIUMINT UNSIGNED DEFAULT '30' NOT NULL,
	name VARCHAR(30) NOT NULL,
	title VARCHAR(64) DEFAULT '' NOT NULL,
	issue ENUM('no', 'yes') DEFAULT 'no' NOT NULL,
	url VARCHAR(255) DEFAULT '' NOT NULL,
	hostname VARCHAR(128) DEFAULT '' NOT NULL,
	cookiedomain VARCHAR(128) DEFAULT '' NOT NULL,
	index_handler VARCHAR(30) DEFAULT 'index.pl' NOT NULL,
	max_rewrite_secs MEDIUMINT UNSIGNED DEFAULT '3600' NOT NULL,
	last_rewrite TIMESTAMP NOT NULL,
	PRIMARY KEY (skid),
	UNIQUE name (name)
) TYPE=InnoDB;
CREATE TABLE skin_colors (
	skid SMALLINT UNSIGNED NOT NULL,
	name VARCHAR(24) NOT NULL,
	hexcolor CHAR(6) NOT NULL,
	UNIQUE skid_name (skid, name)
) TYPE=InnoDB;
CREATE TABLE soap_methods (
        id MEDIUMINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
        class VARCHAR(100) NOT NULL,
        method VARCHAR(100) NOT NULL,
        seclev MEDIUMINT DEFAULT 1000 NOT NULL,
        subscriber_only TINYINT DEFAULT 0 NOT NULL,
        formkeys VARCHAR(255) DEFAULT '' NOT NULL,
        PRIMARY KEY (id),
        UNIQUE soap_method(class, method)
);
ALTER TABLE stories ADD COLUMN stoid MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE stories DROP COLUMN tid;
ALTER TABLE stories DROP COLUMN title;
ALTER TABLE stories DROP COLUMN section;
ALTER TABLE stories DROP COLUMN displaystatus;
ALTER TABLE stories ADD COLUMN primaryskid SMALLINT UNSIGNED;
ALTER TABLE stories ADD COLUMN tid SMALLINT UNSIGNED;
ALTER TABLE stories  ADD COLUMN is_archived ENUM('no', 'yes') DEFAULT 'no' NOT NULL;
ALTER TABLE stories  ADD COLUMN in_trash ENUM('no', 'yes') DEFAULT 'no' NOT NULL;
ALTER TABLE stories  ADD COLUMN last_update TIMESTAMP NOT NULL;
ALTER TABLE stories ADD PRIMARY KEY (stoid);
ALTER TABLE stories ADD UNIQUE sid (sid);
ALTER TABLE stories ADD INDEX uid (uid);
ALTER TABLE stories ADD INDEX is_archived (is_archived);
ALTER TABLE stories ADD INDEX time (time);
ALTER TABLE stories ADD INDEX day_published (day_published);
ALTER TABLE stories ADD INDEX skidtid (primaryskid, tid);
CREATE TABLE story_dirty (
	stoid MEDIUMINT UNSIGNED NOT NULL,
	PRIMARY KEY (stoid)
) TYPE=InnoDB;
ALTER TABLE story_text  ADD COLUMN stoid MEDIUMINT UNSIGNED NOT NULL;
ALTER TABLE story_text  ADD COLUMN title VARCHAR(100) DEFAULT '' NOT NULL;
ALTER TABLE story_text ADD PRIMARY KEY (stoid);
ALTER TABLE story_param  ADD COLUMN stoid MEDIUMINT UNSIGNED NOT NULL;
ALTER TABLE story_param ADD UNIQUE story_key (stoid,name);
DROP TABLE story_topics ;
CREATE TABLE story_topics_chosen (
	stoid MEDIUMINT UNSIGNED NOT NULL,
	tid SMALLINT(5) UNSIGNED NOT NULL,
	weight FLOAT UNSIGNED DEFAULT 1 NOT NULL,
	UNIQUE story_topic (stoid, tid),
	INDEX tid (tid)
) TYPE=InnoDB;
CREATE TABLE story_topics_rendered (
	stoid MEDIUMINT UNSIGNED NOT NULL,
	tid SMALLINT(5) UNSIGNED NOT NULL,
	weight FLOAT UNSIGNED DEFAULT 1 NOT NULL,
	UNIQUE story_topic (stoid, tid),
	INDEX tid (tid)
) TYPE=InnoDB;
ALTER TABLE submissions  ADD COLUMN primaryskid SMALLINT UNSIGNED;
ALTER TABLE submissions ADD INDEX del (del);
ALTER TABLE submissions ADD INDEX uid (uid);
ALTER TABLE templates  ADD COLUMN skin varchar(30) DEFAULT 'default' NOT NULL;
ALTER TABLE templates  ADD COLUMN title VARCHAR(128);
ALTER TABLE templates ADD UNIQUE true_template (name,page,skin,lang);
ALTER TABLE topics  ADD COLUMN tid SMALLINT UNSIGNED NOT NULL DEFAULT 0 AUTO_INCREMENT;
ALTER TABLE topics  ADD COLUMN keyword VARCHAR(20) NOT NULL;
ALTER TABLE topics  ADD COLUMN textname VARCHAR(80) NOT NULL;
ALTER TABLE topics  ADD COLUMN series ENUM('no', 'yes') DEFAULT 'no' NOT NULL;
ALTER TABLE topics  ADD COLUMN image VARCHAR(100) NOT NULL;
ALTER TABLE topics  ADD COLUMN width SMALLINT UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE topics  ADD COLUMN height SMALLINT UNSIGNED NOT NULL DEFAULT 0;
DROP TABLE topic_images ;
CREATE TABLE topic_nexus (
	tid SMALLINT UNSIGNED NOT NULL,
	current_qid MEDIUMINT UNSIGNED DEFAULT NULL,
	PRIMARY KEY (tid)
) TYPE=InnoDB;
CREATE TABLE topic_nexus_dirty (
	tid SMALLINT UNSIGNED NOT NULL,
	PRIMARY KEY (tid)
) TYPE=InnoDB;
CREATE TABLE topic_nexus_extras (
	extras_id MEDIUMINT UNSIGNED NOT NULL,
	tid SMALLINT UNSIGNED NOT NULL,
	extras_keyword VARCHAR(100) NOT NULL,
	extras_textname VARCHAR(100) NOT NULL,
	type ENUM('text', 'list'),
	PRIMARY KEY (extras_id),
	UNIQUE tid_keyword (tid, extras_keyword)
) TYPE=InnoDB;
CREATE TABLE topic_parents (
	tid SMALLINT UNSIGNED NOT NULL,
	parent_tid SMALLINT UNSIGNED NOT NULL,
	min_weight FLOAT UNSIGNED DEFAULT 1 NOT NULL,
	UNIQUE child_and_parent (tid, parent_tid),
	INDEX parent_tid (parent_tid)
) TYPE=InnoDB;
ALTER TABLE vars ADD ALTER TABLE story_topics_chosen ADD FOREIGN KEY (tid) REFERENCES topics(tid);;
ALTER TABLE vars ADD ALTER TABLE story_topics_rendered ADD FOREIGN KEY (tid) REFERENCES topics(tid);;
