ALTER TABLE abusers  ADD COLUMN ts datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE accesslog  ADD COLUMN ts datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE accesslog_admin  ADD COLUMN ts datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE accesslog_artcom  ADD COLUMN ts datetime NOT NULL DEFAULT '1970-01-01 00:00:00';
ALTER TABLE al2_log  ADD COLUMN ts              DATETIME NOT NULL DEFAULT '1970-01-01 00:00:00';
ALTER TABLE comments  ADD COLUMN cid int UNSIGNED NOT NULL auto_increment;
ALTER TABLE comments  ADD COLUMN date datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE comments  ADD COLUMN last_update TIMESTAMP NOT NULL;
ALTER TABLE comments ADD COLUMN subject_orig ENUM('no', 'yes') DEFAULT 'yes' NOT NULL;
ALTER TABLE comment_text  ADD COLUMN cid int UNSIGNED NOT NULL;
ALTER TABLE dbs_readerstatus  ADD COLUMN ts datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE discussions  ADD COLUMN ts datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
CREATE TABLE globjs (
	globjid		int UNSIGNED NOT NULL auto_increment,
	gtid		smallint UNSIGNED NOT NULL,
	target_id	int UNSIGNED NOT NULL,
	PRIMARY KEY (globjid),
	UNIQUE target (gtid, target_id)
) TYPE=InnoDB;
CREATE TABLE globj_adminnotes (
	globjid		int UNSIGNED NOT NULL AUTO_INCREMENT,
	adminnote	varchar(255) NOT NULL DEFAULT '',
	PRIMARY KEY (globjid)
) TYPE=InnoDB;
CREATE TABLE globj_types (
	gtid		smallint UNSIGNED NOT NULL auto_increment,
	maintable	VARCHAR(64) NOT NULL,
	PRIMARY KEY (gtid),
	UNIQUE maintable (maintable)
) TYPE=InnoDB;
CREATE TABLE globj_urls (
	id INT(10) UNSIGNED NOT NULL auto_increment,
	globjid INT UNSIGNED NOT NULL DEFAULT 0,
	url_id INT(10) UNSIGNED NOT NULL NOT NULL DEFAULT 0,
	PRIMARY KEY (id),
	UNIQUE globjid_url_id (globjid, url_id)
) TYPE=InnoDB;
DROP TABLE metamodlog ;
ALTER TABLE moderatorlog  ADD COLUMN ts datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE moderatorlog  ADD COLUMN cid int UNSIGNED NOT NULL;
ALTER TABLE moderatorlog DROP COLUMN m2count;
ALTER TABLE moderatorlog DROP COLUMN m2needed;
ALTER TABLE moderatorlog DROP COLUMN m2status;
ALTER TABLE moderatorlog DROP 	KEY m2stat_act  ;
ALTER TABLE open_proxies  ADD COLUMN ts	DATETIME NOT NULL DEFAULT '1970-01-01 00:00:00';
CREATE TABLE related_stories (
	id mediumint(8) unsigned NOT NULL auto_increment,
	stoid mediumint(8) unsigned default '0',
	rel_stoid mediumint(8) unsigned default '0',
	rel_sid varchar(16) NOT NULL default '',
	title varchar(255) default '',
	url varchar(255) default '',
	cid int(8) unsigned NOT NULL default '0',
	ordernum smallint unsigned NOT NULL default '0',
	PRIMARY KEY (id),
	KEY stoid (stoid)
) TYPE=InnoDB;
ALTER TABLE remarks  ADD COLUMN rid MEDIUMINT UNSIGNED NOT NULL auto_increment;
ALTER TABLE remarks  ADD COLUMN uid MEDIUMINT UNSIGNED NOT NULL;
ALTER TABLE remarks  ADD COLUMN priority SMALLINT UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE remarks  ADD COLUMN time DATETIME DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE remarks ADD COLUMN remark VARCHAR(100);
ALTER TABLE remarks ADD INDEX time (time);
ALTER TABLE remarks ADD INDEX priority (priority);
ALTER TABLE sessions ADD UNIQUE (uid);
CREATE TABLE signoff (
        soid 	MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT,
	stoid		MEDIUMINT UNSIGNED NOT NULL DEFAULT '0',
  	uid 		MEDIUMINT UNSIGNED NOT NULL,
	signoff_time	TIMESTAMP,
	signoff_type	VARCHAR(16) DEFAULT '' NOT NULL,
	PRIMARY KEY(soid),
	INDEX (stoid)
) TYPE=InnoDB;
ALTER TABLE skins ADD COLUMN older_stories_max MEDIUMINT UNSIGNED DEFAULT '0' NOT NULL;
ALTER TABLE skins ADD COLUMN skinindex ENUM('no', 'yes') DEFAULT 'yes' NOT NULL;
ALTER TABLE skins ADD COLUMN require_acl VARCHAR(32) DEFAULT '' NOT NULL;
ALTER TABLE slashd_errnotes  ADD COLUMN ts DATETIME NOT NULL DEFAULT '1970-01-01 00:00:00';
ALTER TABLE stories  ADD COLUMN time DATETIME DEFAULT '1970-01-01 00:00:00' NOT NULL;
ALTER TABLE stories  ADD COLUMN day_published DATE DEFAULT '1970-01-01' NOT NULL;
CREATE TABLE urls (
	url_id INT(10) UNSIGNED NOT NULL auto_increment,
	url_digest VARCHAR(32) NOT NULL,
	url TEXT NOT NULL,
	is_success TINYINT(4),
	createtime datetime,
	last_attempt datetime,
	last_success datetime,
	believed_fresh_until datetime,
	status_code SMALLINT(6),
	reason_phrase VARCHAR(30),
	content_type VARCHAR(60),
	initialtitle VARCHAR(255),
	validatedtitle VARCHAR(255),
	tags_top VARCHAR(255) DEFAULT '' NOT NULL,
	popularity float DEFAULT '0' NOT NULL,
	PRIMARY KEY (url_id),
	UNIQUE url_digest (url_digest),
	anon_bookmarks MEDIUMINT UNSIGNED DEFAULT 0 NOT NULL
);
ALTER TABLE users_index ADD COLUMN story_full_brief_nexus varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users_index ADD COLUMN story_brief_always_nexus varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users_index ADD COLUMN story_full_best_nexus varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users_index ADD COLUMN story_brief_best_nexus varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users_info  ADD COLUMN lastgranted datetime DEFAULT '1970-01-01 00:00' NOT NULL;
ALTER TABLE users_info  ADD COLUMN lastaccess date DEFAULT '1970-01-01' NOT NULL;
ALTER TABLE users_info  ADD COLUMN created_at datetime DEFAULT '1970-01-01 00:00' NOT NULL;
